{% extends 'base.html.twig' %}

{% block title %}Page d'accueil{% endblock %}

{% block body %}
    <h1>Page d'accueil</h1>
    <h2 class="urgent-project">Most URGENT project</h2>
    <div class="projects-container">  

{% if userData|length > 0 %}

    {% for team in userData[0] %}
        <div class="team">
            <div class ="team-details">
                <h2 class="team-name">Les projets de l'équipe {{ team.name }}</h2>
                <p class ="team-manager">Manager : {{ team.manager.name }}</p>
            </div>
            <div class="team-projects">
        {% for project in team.project %}
            
                
                <div class ="project-item-container">

                <p class="project-title"> {{ project.name }} </p>
                <p class="project-deadline">Deadline : {{ project.deadline|date("m/d/Y") }}</p>
                <div class="manage-project">
                    {% if is_granted('ROLE_USER') %}
                    
                    <a href="#" class="edit-project">
                        <img class="project-edit-icon" src="{{ asset('/Assets/img/writing.png') }}">
                    </a>

                    {% endif %}
                    <a href='/project/{{ project.id }}' class="more-info">
                        <img class="more-info-icon" src="{{ asset('/Assets/img/more.png') }}">
                    </a>
                </div>
            </div>
        {% endfor %}
        </div>
        </div>

    {% endfor %}

{% endif %}

    {% for project in projects %}



    {% endfor %}
    </div>

{% endblock %}
